Smart search for profiles
curl --request GET \
--url https://api.getprofile-ai.com/v1/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getprofile-ai.com/v1/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getprofile-ai.com/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"profile_id": "<string>",
"tenant_id": "<string>",
"last_updated": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"core_info": {
"name": {
"value": "<string>",
"confidence": 123
},
"age": {
"value": 123,
"confidence": 123
},
"gender": {
"value": "<string>",
"confidence": 123
},
"location": {
"value": "<string>",
"confidence": 123
}
},
"interests": {},
"personality": {
"traits": [
{
"value": "<string>",
"confidence": 123
}
],
"mood_trends": {
"default": {
"value": "<string>",
"confidence": 123
},
"recent": {
"value": "<string>",
"confidence": 123
}
}
},
"memories": [
{
"event": "<string>",
"date": "2023-12-25",
"confidence": 123
}
],
"preferences": {
"conversation_style": {
"value": "<string>",
"confidence": 123
},
"topics_to_avoid": [
{
"value": "<string>",
"confidence": 123
}
]
},
"field_timestamps": {},
"update_log": [
{
"extracted_on": "2023-11-07T05:31:56Z",
"changes": {}
}
],
"summary": "<string>"
}
],
"total": 123,
"page": 123,
"pageSize": 123
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Search API
Search Profiles
Search for profiles using semantic vector search and classic filtering, sorting, and pagination
GET
/
v1
/
search
Smart search for profiles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Natural language search query. If provided, enables vector-based semantic search.
Vector search similarity threshold (0-100). Higher = stricter match.
Field to filter by (e.g. name, location, language, id).
Value to filter for (case-insensitive partial match).
Field to sort by (e.g. last_updated, created_at, name). Ignored when using vector search.
Sorting order: asc or desc.
Available options:
asc, desc Page number for pagination.
Number of profiles per page.
⌘I